Press "Enter" to skip to content

IOS downgrade Cisco 877

I decided to downgrade to IOS c870-advsecurityk9-mz.124-15.T6.bin so I could try ADSL firmware AMR-3.0.043.bin, ver 20/22 of this IOS doesnt work with this firmware.

So far ive noticed 3.0.043 has slightly less Reed Solomon/CRC/Header errors, and notice improved performance. On previous firmware I noticed on upstream, I would get quite a few errors upon sync however with this firmware it seems fine and shows 0.

9 Comments

  1. mike
    mike March 22, 2009

    Hi, I’m havig trouble getting a adsl connection with my ISP using my 877. Have you had experiece with old IOS versions not working at all with setting up wan connections? (i’m using ios version: 124-4.T4)
    love your site, would love seeing more posts 😉

  2. aLcAtRoN
    aLcAtRoN March 23, 2009

    What kind of issue are you experiencing? is the CD light on the modem just flashing and not receving any sync?

    That IOS version should work ok…it could be the firmware you are running on the modem, if you issue a “sh dsl int” it should list what firmware you have installed.

  3. mike
    mike March 23, 2009

    Hi,

    Thanks for your reaction, I have version 2.542. The CD light is flashing. I did some research and think a bridged setup is the best for my connection. I am not sure if my provider has a dhcp lease time, so I also want to assign a MAC address to the interface that sets up the connection.
    There are a few variants to setup a bridged connection, can you advice which one is the best/most efficient.
    Can you also advice how to assess/debug if the setup is correct?

    Currently my setup is:

    interface ATM0
    description Fysieke ADSL (ATM) Interface
    no ip address
    no ip redirects
    no ip unreachables
    no ip proxy-arp
    no ip route-cache
    no atm ilmi-keepalive
    dsl operating-mode adsl2+

    interface ATM0.9 point-to-point
    description ATM Routed Bridge Encapsulation (RBE) Subinterface t.b.v. Internet
    ip address dhcp
    atm route-bridged ip
    pvc 8/45
    encapsulation aal5snap

    Let me know your thoughts,
    Thanks.

  4. aLcAtRoN
    aLcAtRoN March 24, 2009

    Hi,

    I would recommend you upgrade the ADSL firmware on the modem.
    You can download Cisco firmware from ftp://ftp.cisco.com/pub/access/800/

    I recommend adsl_alc_20190_3.0.10.bin or adsl_alc_20190.3-0-33.bin

    You can try using these commands to view your atm status

    cisco877#debug atm events
    cisco877#debug atm errors

    also you can use “debug atm ?” to show the full list of commands.

    After enabling debug, you can execute “show log” to see any events which pop up.

    Also try to change “dsl operating-mode adsl2+” to auto mode, and see if line will sync, but I believe your problem is firmware related.

    As for bridging the modem, I havent setup this on a 877 before, but the following sites may be able to help you..

    Forum: http://forums.whirlpool.net.au/forum/?action=threads_search&q=cisco+bridge&f=

    Cisco Site: http://www.cisco.com/en/US/tech/tk175/tk15/technologies_configuration_example09186a008071a807.shtml

  5. mike
    mike March 25, 2009

    Your AWESOME! I always thought it was the bridge setup that was the issue, but it was the dsl firmware that was not up-to-date.

    Do you think my IOS version can create problems in the future? SHould I be looking for a newer version, just to be prepared for the future?

    Thanks again.

  6. aLcAtRoN
    aLcAtRoN March 26, 2009

    Excellent, good to see it worked 🙂

    I think you can keep the existing IOS version as it is..if everything is working fine and you have no issues.

    I would only look at a new IOS if there is a new feature which you need, or security bugs have been fixed.

  7. Nick
    Nick April 9, 2009

    Hi,

    Great site, just setting up my 877w and playing around with various firmware and tuning the connection. Out of interest where did you get hold of the AMR-3.0.043.bin file?

    Ta,

    Nick

  8. JUan Carlos
    JUan Carlos September 20, 2009

    I need 877 ios 124-4.T4 i have 15.T6 but he memory is less and i cannot install sdm only sdm express i can

Leave a Reply

Your email address will not be published.

This site uses Akismet to reduce spam. Learn how your comment data is processed.